package com.ruoyi.basicData.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户联系人对象 t_customer_contact
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TCustomerContact extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long tId;

    /**
     * 对应corps 的f_id
     */
    @Excel(name = "对应corps 的f_id")
    private Long fPid;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String fNo;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String fName;

    /**
     * 英文名称
     */
    @Excel(name = "英文名称")
    private String fEname;

    /**
     * 电话
     */
    @Excel(name = "电话")
    private String fTel;

    /**
     * 职务
     */
    @Excel(name = "职务")
    private String fDuty;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱")
    private String fEmail;

    /**
     * 微信
     */
    @Excel(name = "微信")
    private String fWx;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fStatus;

    /**
     * 删除状态
     */
    @TableLogic
    private String delFlag;

    /**
     * 关联部门id
     */
    private Long deptId;

    /**
     * 关联用户id
     */
    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void settId(Long tId) {
        this.tId = tId;
    }

    public Long gettId() {
        return tId;
    }

    public void setfPid(Long fPid) {
        this.fPid = fPid;
    }

    public Long getfPid() {
        return fPid;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfName() {
        return fName;
    }

    public void setfEname(String fEname) {
        this.fEname = fEname;
    }

    public String getfEname() {
        return fEname;
    }

    public void setfTel(String fTel) {
        this.fTel = fTel;
    }

    public String getfTel() {
        return fTel;
    }

    public void setfDuty(String fDuty) {
        this.fDuty = fDuty;
    }

    public String getfDuty() {
        return fDuty;
    }

    public void setfEmail(String fEmail) {
        this.fEmail = fEmail;
    }

    public String getfEmail() {
        return fEmail;
    }

    public void setfWx(String fWx) {
        this.fWx = fWx;
    }

    public String getfWx() {
        return fWx;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tId", gettId())
                .append("fPid", getfPid())
                .append("fNo", getfNo())
                .append("fName", getfName())
                .append("fEname", getfEname())
                .append("fTel", getfTel())
                .append("fDuty", getfDuty())
                .append("fEmail", getfEmail())
                .append("fWx", getfWx())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
